=== debian/changelog ===
cmus (2.4.2-1) unstable; urgency=low

  * New upstream release.
  * Drop 0001-fix-compile-error-for-new-versions-of-ffmpeg.patch,
    applied upstream.

 -- Alessio Treglia <alessio@debian.org>  Tue, 26 Jul 2011 10:13:25 +0200

cmus (2.4.1-2) unstable; urgency=low

  * Add Ubuntu-specific patch to fix FTBFS with newest version of ffmpeg.
  * Replace negated list of architectures with linux-any (Closes: #634706).

 -- Alessio Treglia <alessio@debian.org>  Sat, 23 Jul 2011 10:48:29 +0200
