=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

LDFLAGS+=-Wl,--as-needed
CFLAGS+=-I/usr/include/ncursesw

%:
	dh $@

override_dh_auto_configure:
	./configure \
		prefix=/usr \
		CONFIG_ARTS=n \
		DEBUG=0

override_dh_install:
	dh_install -pcmus
	dh_movefiles -pcmus-plugin-ffmpeg --sourcedir=debian/cmus/ \
		/usr/lib/cmus/ip/ffmpeg.so

override_dh_shlibdeps:
	dh_shlibdeps -pcmus -Xroar.so -Xpulse.so
	dpkg-shlibdeps -O -dRecommends \
		debian/cmus/usr/lib/cmus/op/roar.so \
		debian/cmus/usr/lib/cmus/op/pulse.so | \
		cat >> debian/cmus.substvars
	dh_shlibdeps --remaining-packages
