## cmus 2.4.3

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # SHA1
 _ver2	= $(shell git rev-parse --verify --short $(REV) 2>/dev/null)
 # hand-made
-_ver3	= v2.4.2
+_ver3	= v2.4.3
 
 VERSION	= $(or $(_ver0),$(_ver1),$(_ver2),$(_ver3))
