=== debian/changelog ===
cmus (2.4.3-2) unstable; urgency=low

  [ Ryan Kavanagh ]
  * Update my email address to @debian.org
  * Drop DM-Upload-Allowed: yes, no longer needed

  [ Alessio Treglia ]
  * Build cmus without roar support. (Closes: #675610)
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sat, 02 Jun 2012 20:07:57 +0200

cmus (2.4.3-1) unstable; urgency=low

  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Sat, 03 Dec 2011 12:55:46 +0100
