=== debian/control ===
Source: cmus
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Ryan Kavanagh <rak@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~),
 libao-dev,
 libasound2-dev (>= 1.0.11) [linux-any],
 libavformat-dev,
 libfaad-dev,
 libflac-dev,
 libmad0-dev,
 libmodplug-dev,
 libmpcdec-dev,
 libncursesw5-dev,
 libpulse-dev (>= 0.9.19),
 libvorbis-dev,
 libwavpack-dev,
 pkg-config
Standards-Version: 3.9.3
Homepage: http://cmus.sourceforge.net/
Vcs-Git: git://git.debian.org/pkg-multimedia/cmus.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/cmus.git

Package: cmus
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 cmus-plugin-ffmpeg,
 ${shlibs:Recommends}
Description: lightweight ncurses audio player
 C* Music Player is a modular and very configurable ncurses-based audio player.
 It has some interesting features like configurable colorscheme, mp3 and ogg
 streaming, it can be controlled with an UNIX socket, filters, album/artists
 sorting and a vi-like configuration interface.
 .
 It currently supports different input formats:
  - Ogg Vorbis
  - MP3 (with libmad)
  - FLAC
  - Wav
  - Modules (with libmodplug)
  - Musepack
  - AAC
  - Windows Media Audio

Package: cmus-plugin-ffmpeg
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 cmus
Description: lightweight ncurses audio player (FFmpeg plugin)
 C* Music Player is a modular and very configurable ncurses-based audio player.
 It has some interesting features like configurable colorscheme, mp3 and ogg
 streaming, it can be controlled with an UNIX socket, filters, album/artists
 sorting and a vi-like configuration interface.
 .
 This package adds FFmpeg support to C* Music Player.
