## cmus 2.5.0

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # SHA1
 _ver2	= $(shell git rev-parse --verify --short $(REV) 2>/dev/null)
 # hand-made
-_ver3	= v2.4.3
+_ver3	= v2.5.0
 
 VERSION	= $(or $(_ver0),$(_ver1),$(_ver2),$(_ver3))
 
@@ -18,11 +18,13 @@
 
 CFLAGS += -D_FILE_OFFSET_BITS=64
 
-CMUS_LIBS = $(PTHREAD_LIBS) $(NCURSES_LIBS) $(ICONV_LIBS) $(DL_LIBS) -lm $(COMPAT_LIBS)
+CMUS_LIBS = $(PTHREAD_LIBS) $(NCURSES_LIBS) $(ICONV_LIBS) $(DL_LIBS) $(DISCID_LIBS) $(CUE_LIBS) -lm $(COMPAT_LIBS)
 
 input.o main.o ui_curses.o pulse.lo: .version
 input.o main.o ui_curses.o pulse.lo: CFLAGS += -DVERSION=\"$(VERSION)\"
 main.o server.o: CFLAGS += -DDEFAULT_PORT=3000
+discid.o: CFLAGS += $(DISCID_CFLAGS)
+job.o cue_utils.o: CFLAGS += $(CUE_CFLAGS)
 
 .version: Makefile
 	@test "`cat $@ 2> /dev/null`" = "$(VERSION)" && exit 0; \
@@ -31,7 +33,7 @@
 # programs {{{
 cmus-y := \
 	ape.o browser.o buffer.o cache.o cmdline.o cmus.o command_mode.o comment.o \
-	convert.lo debug.o editable.o expr.o filters.o \
+	channelmap.o convert.lo debug.o discid.o editable.o expr.o filters.o \
 	format_print.o gbuf.o glob.o help.o history.o http.o id3.o input.o job.o \
 	keys.o keyval.o lib.o load_dir.o locking.o mergesort.o misc.o options.o \
 	output.o pcm.o pl.o play_queue.o player.o \
@@ -40,6 +42,8 @@
 	track.o track_info.o tree.o u_collate.o uchar.o ui_curses.o \
 	window.o worker.o xstrjoin.o
 
+cmus-$(CONFIG_CUE) += cue_utils.o
+
 $(cmus-y): CFLAGS += $(PTHREAD_CFLAGS) $(NCURSES_CFLAGS) $(ICONV_CFLAGS) $(DL_CFLAGS)
 
 cmus: $(cmus-y) file.o path.o prog.o xmalloc.o
@@ -63,6 +67,7 @@
 # }}}
 
 # input plugins {{{
+cdio-objs		:= cdio.lo
 flac-objs		:= flac.lo
 mad-objs		:= mad.lo nomad.lo
 mikmod-objs		:= mikmod.lo
@@ -74,7 +79,9 @@
 mp4-objs		:= mp4.lo
 aac-objs		:= aac.lo
 ffmpeg-objs		:= ffmpeg.lo
-
+cue-objs		:= cue.lo
+
+ip-$(CONFIG_CDIO)	+= cdio.so
 ip-$(CONFIG_FLAC)	+= flac.so
 ip-$(CONFIG_MAD)	+= mad.so
 ip-$(CONFIG_MIKMOD)	+= mikmod.so
@@ -86,7 +93,9 @@
 ip-$(CONFIG_MP4)	+= mp4.so
 ip-$(CONFIG_AAC)	+= aac.so
 ip-$(CONFIG_FFMPEG)	+= ffmpeg.so
-
+ip-$(CONFIG_CUE)	+= cue.so
+
+$(cdio-objs):		CFLAGS += $(CDIO_CFLAGS) $(CDDB_CFLAGS)
 $(flac-objs):		CFLAGS += $(FLAC_CFLAGS)
 $(mad-objs):		CFLAGS += $(MAD_CFLAGS)
 $(mikmod-objs):		CFLAGS += $(MIKMOD_CFLAGS)
@@ -97,6 +106,10 @@
 $(mp4-objs):		CFLAGS += $(MP4_CFLAGS)
 $(aac-objs):		CFLAGS += $(AAC_CFLAGS)
 $(ffmpeg-objs):		CFLAGS += $(FFMPEG_CFLAGS)
+$(cue-objs):		CFLAGS += $(CUE_CFLAGS)
+
+cdio.so: $(cdio-objs) $(libcmus-y)
+	$(call cmd,ld_dl,$(CDIO_LIBS) $(CDDB_LIBS))
 
 flac.so: $(flac-objs) $(libcmus-y)
 	$(call cmd,ld_dl,$(FLAC_LIBS))
@@ -130,6 +143,9 @@
 
 ffmpeg.so: $(ffmpeg-objs) $(libcmus-y)
 	$(call cmd,ld_dl,$(FFMPEG_LIBS))
+
+cue.so: $(cue-objs) $(libcmus-y)
+	$(call cmd,ld_dl,$(CUE_LIBS))
 
 # }}}
 
@@ -211,7 +227,7 @@
 
 data		= $(wildcard data/*)
 
-clean		+= *.o *.lo *.so cmus libcmus.a cmus.def cmus.base cmus.exp cmus-remote Doc/*.o Doc/ttman Doc/*.1 Doc/*.7
+clean		+= *.o *.lo *.so cmus libcmus.a cmus.def cmus.base cmus.exp cmus-remote Doc/*.o Doc/ttman Doc/*.1 Doc/*.7 .install.log
 distclean	+= .version config.mk config/*.h tags
 
 main: cmus cmus-remote
