=== debian/changelog ===
cmus (2.5.0-4build1) trusty; urgency=low

  * No-change rebuild for libav transition.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 09 Nov 2013 01:26:36 -0500

cmus (2.5.0-4) unstable; urgency=low

  [ Ryan Kavanagh ]
  * Patches were applied upstream

  [ Alessio Treglia ]
  * Add patch to prevent FTBFS. (Closes: #724181)

 -- Alessio Treglia <alessio@debian.org>  Sun, 06 Oct 2013 20:46:25 +0100

cmus (2.5.0-3) unstable; urgency=low

  * Don't FTBFS due to missing config.mk (Closes: #720781), 01_config.mk.diff
  * Fix typo in cmus binary, 02_fix_typo.diff
  * Enable build hardening
    + Bump debhelper version to 9.0.0 and compat to 9
    + Introduce 03_cppflags.diff to use CPPFLAGS; needed for function
      fortification
    + Override hardening-no-fortify-functions false positives
  * Bump standards version to 3.9.4
  * Switch to canonical Vcs-* fields
  * Enable verbose build logs

 -- Ryan Kavanagh <rak@debian.org>  Thu, 29 Aug 2013 13:48:30 -0400

cmus (2.5.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Sat, 11 May 2013 01:21:18 +0200

cmus (2.5.0-1) experimental; urgency=low

  * New upstream release:
    - CUE sheets support.
    - cdio input plugin.
    - support for WavPack `.wvc` correction files.
    - new «zenburn» color scheme and text attributes (bold/reverse/...)
      support for UI elements.
    - improved tab completion, new scroll_offset and icecast_default_charset
      options, even better tag parsing and compilations handling, and
      numerous small enhancements all over the place.
  * Build-depend on libcddb2-dev,libcdio-cdda-dev.

 -- Alessio Treglia <alessio@debian.org>  Thu, 15 Nov 2012 00:28:20 +0000
