=== debian/control ===
--- 
+++ 
@@ -6,10 +6,12 @@
  Alessio Treglia <alessio@debian.org>,
  Ryan Kavanagh <rak@debian.org>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper (>= 9.0.0),
  libao-dev,
  libasound2-dev (>= 1.0.11) [linux-any],
  libavformat-dev,
+ libcddb2-dev,
+ libcdio-cdda-dev,
  libfaad-dev,
  libflac-dev,
  libmad0-dev,
@@ -20,10 +22,10 @@
  libvorbis-dev,
  libwavpack-dev,
  pkg-config
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://cmus.sourceforge.net/
-Vcs-Git: git://git.debian.org/pkg-multimedia/cmus.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/cmus.git
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/cmus.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/cmus.git
 
 Package: cmus
 Architecture: any
