=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,11 @@
 		CONFIG_ARTS=n \
 		DEBUG=0
 
+override_dh_auto_build:
+	# Pass V=2 to make to enable verbose build logs, which is useful for
+	# porters, sorting out build hardening issues, etc.
+	dh_auto_build -- V=2
+
 override_dh_install:
 	dh_install -pcmus
 	dh_movefiles -pcmus-plugin-ffmpeg --sourcedir=debian/cmus/ \
@@ -21,7 +26,6 @@
 override_dh_shlibdeps:
 	dh_shlibdeps -pcmus -Xroar.so -Xpulse.so
 	dpkg-shlibdeps -O -dRecommends \
-		debian/cmus/usr/lib/cmus/op/roar.so \
 		debian/cmus/usr/lib/cmus/op/pulse.so | \
 		cat >> debian/cmus.substvars
 	dh_shlibdeps --remaining-packages
