=== debian/watch ===
version=3
opts=uversionmangle=s/([\d\.]+)-(rc|beta)(.*)/\1~\2\3/ \
http://sf.net/cmus/cmus-v(.*)\.tar\.bz2
