## cmus 2.7.1

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # SHA1
 _ver2	= $(shell git rev-parse --verify --short $(REV) 2>/dev/null)
 # hand-made
-_ver3	= v2.5.0
+_ver3	= v2.7.1
 
 VERSION	= $(or $(_ver0),$(_ver1),$(_ver2),$(_ver3))
 
@@ -17,6 +17,9 @@
 include scripts/lib.mk
 
 CFLAGS += -D_FILE_OFFSET_BITS=64
+
+FFMPEG_CFLAGS += $(shell pkg-config --cflags libswresample)
+FFMPEG_LIBS += $(shell pkg-config --libs libswresample)
 
 CMUS_LIBS = $(PTHREAD_LIBS) $(NCURSES_LIBS) $(ICONV_LIBS) $(DL_LIBS) $(DISCID_LIBS) $(CUE_LIBS) -lm $(COMPAT_LIBS)
 
@@ -49,7 +52,7 @@
 cmus: $(cmus-y) file.o path.o prog.o xmalloc.o
 	$(call cmd,ld,$(CMUS_LIBS))
 
-cmus-remote: main.o file.o path.o prog.o xmalloc.o
+cmus-remote: main.o file.o misc.o path.o prog.o xmalloc.o xstrjoin.o
 	$(call cmd,ld,$(COMPAT_LIBS))
 
 # cygwin compat
@@ -74,12 +77,14 @@
 modplug-objs		:= modplug.lo
 mpc-objs		:= mpc.lo
 vorbis-objs		:= vorbis.lo
+opus-objs		:= opus.lo
 wavpack-objs		:= wavpack.lo
 wav-objs		:= wav.lo
 mp4-objs		:= mp4.lo
 aac-objs		:= aac.lo
 ffmpeg-objs		:= ffmpeg.lo
 cue-objs		:= cue.lo
+vtx-objs		:= vtx.lo
 
 ip-$(CONFIG_CDIO)	+= cdio.so
 ip-$(CONFIG_FLAC)	+= flac.so
@@ -88,12 +93,14 @@
 ip-$(CONFIG_MODPLUG)	+= modplug.so
 ip-$(CONFIG_MPC)	+= mpc.so
 ip-$(CONFIG_VORBIS)	+= vorbis.so
+ip-$(CONFIG_OPUS)	+= opus.so
 ip-$(CONFIG_WAVPACK)	+= wavpack.so
 ip-$(CONFIG_WAV)	+= wav.so
 ip-$(CONFIG_MP4)	+= mp4.so
 ip-$(CONFIG_AAC)	+= aac.so
 ip-$(CONFIG_FFMPEG)	+= ffmpeg.so
 ip-$(CONFIG_CUE)	+= cue.so
+ip-$(CONFIG_VTX)	+= vtx.so
 
 $(cdio-objs):		CFLAGS += $(CDIO_CFLAGS) $(CDDB_CFLAGS)
 $(flac-objs):		CFLAGS += $(FLAC_CFLAGS)
@@ -102,11 +109,13 @@
 $(modplug-objs):	CFLAGS += $(MODPLUG_CFLAGS)
 $(mpc-objs):		CFLAGS += $(MPC_CFLAGS)
 $(vorbis-objs):		CFLAGS += $(VORBIS_CFLAGS)
+$(opus-objs):		CFLAGS += $(OPUS_CFLAGS)
 $(wavpack-objs):	CFLAGS += $(WAVPACK_CFLAGS)
 $(mp4-objs):		CFLAGS += $(MP4_CFLAGS)
 $(aac-objs):		CFLAGS += $(AAC_CFLAGS)
 $(ffmpeg-objs):		CFLAGS += $(FFMPEG_CFLAGS)
 $(cue-objs):		CFLAGS += $(CUE_CFLAGS)
+$(vtx-objs):		CFLAGS += $(VTX_CFLAGS)
 
 cdio.so: $(cdio-objs) $(libcmus-y)
 	$(call cmd,ld_dl,$(CDIO_LIBS) $(CDDB_LIBS))
@@ -129,6 +138,9 @@
 vorbis.so: $(vorbis-objs) $(libcmus-y)
 	$(call cmd,ld_dl,$(VORBIS_LIBS))
 
+opus.so: $(opus-objs) $(libcmus-y)
+	$(call cmd,ld_dl,$(OPUS_LIBS))
+
 wavpack.so: $(wavpack-objs) $(libcmus-y)
 	$(call cmd,ld_dl,$(WAVPACK_LIBS))
 
@@ -146,23 +158,30 @@
 
 cue.so: $(cue-objs) $(libcmus-y)
 	$(call cmd,ld_dl,$(CUE_LIBS))
+
+vtx.so: $(vtx-objs) $(libcmus-y)
+	$(call cmd,ld_dl,$(VTX_LIBS))
 
 # }}}
 
 # output plugins {{{
 pulse-objs		:= pulse.lo
 alsa-objs		:= alsa.lo mixer_alsa.lo
+jack-objs		:= jack.lo
 arts-objs		:= arts.lo
 oss-objs		:= oss.lo mixer_oss.lo
 sun-objs		:= sun.lo mixer_sun.lo
+sndio-objs		:= sndio.lo
 ao-objs			:= ao.lo
 waveout-objs		:= waveout.lo
 roar-objs               := roar.lo
 
 op-$(CONFIG_PULSE)	+= pulse.so
 op-$(CONFIG_ALSA)	+= alsa.so
+op-$(CONFIG_JACK)	+= jack.so
 op-$(CONFIG_ARTS)	+= arts.so
 op-$(CONFIG_OSS)	+= oss.so
+op-$(CONFIG_SNDIO)	+= sndio.so
 op-$(CONFIG_SUN)	+= sun.so
 op-$(CONFIG_AO)		+= ao.so
 op-$(CONFIG_WAVEOUT)	+= waveout.so
@@ -170,8 +189,10 @@
 
 $(pulse-objs): CFLAGS	+= $(PULSE_CFLAGS)
 $(alsa-objs): CFLAGS	+= $(ALSA_CFLAGS)
+$(jack-objs): CFLAGS	+= $(JACK_CFLAGS) $(SAMPLERATE_CFLAGS)
 $(arts-objs): CFLAGS	+= $(ARTS_CFLAGS)
 $(oss-objs):  CFLAGS	+= $(OSS_CFLAGS)
+$(sndio-objs): CFLAGS	+= $(SNDIO_CFLAGS)
 $(sun-objs):  CFLAGS	+= $(SUN_CFLAGS)
 $(ao-objs):   CFLAGS	+= $(AO_CFLAGS)
 $(waveout-objs): CFLAGS += $(WAVEOUT_CFLAGS)
@@ -183,11 +204,17 @@
 alsa.so: $(alsa-objs) $(libcmus-y)
 	$(call cmd,ld_dl,$(ALSA_LIBS))
 
+jack.so: $(jack-objs) $(libcmus-y)
+	$(call cmd,ld_dl,$(JACK_LIBS) $(SAMPLERATE_LIBS))
+
 arts.so: $(arts-objs) $(libcmus-y)
 	$(call cmd,ld_dl,$(ARTS_LIBS))
 
 oss.so: $(oss-objs) $(libcmus-y)
 	$(call cmd,ld_dl,$(OSS_LIBS))
+
+sndio.so: $(sndio-objs) $(libcmus-y)
+	$(call cmd,ld_dl,$(SNDIO_LIBS))
 
 sun.so: $(sun-objs) $(libcmus-y)
 	$(call cmd,ld_dl,$(SUN_LIBS))
