=== debian/changelog ===
cmus (2.7.1-1build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:40:16 +0000

cmus (2.7.1-1) unstable; urgency=medium

  * Team upload.

  [ Alessio Treglia ]
  * Demote extra plugins to Suggests (Closes: #789256)
  * Refresh patchset for 2.6.0.

  [ Sebastian Ramacher ]
  * New upstream release. (Closes: #779335, #792134)
    - Use libswresample instead of libavresample. (Closes: #805169, #805109)
  * Update path for README
  * debian/control:
    - Add libdiscid-dev, libopusfile-dev, libsamplerate0-dev and libjack-dev
      to Build-Depends.
    - Change libavresample-dev to libswresample-dev in Build-Depends and add
      libavcodec-dev.
    - Add bash-completion to Build-Depends.
    - Bump Standards-Version to 3.9.6.
    - Update Vcs-Browser.
    - Make cmus-plugin-ffmpeg depend on the same version of cmus (Closes:
      #695072)
  * debian/cmus.install: Install zsh completion.
  * debian/cmus.bash-completion: Install bash completion.
  * debian/rules:
    - Build with --parallel and --with bash-completion.
    - Handle jack shlibs similar to pulse.
  * debian/patches:
    - libav10.patch: Removed, no longer needed.
    - 02_link_avcodec.patch: Functions from libavcodec are used so make sure
      the ffmpeg plugin is linked against libavcodec.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 15 Nov 2015 19:24:52 +0100

cmus (2.5.0-7) unstable; urgency=medium

  * Re-introduce Roaraudio support (Closes: #680745):
    - debian/control: Add build-dependency on libroad-dev.
    - debian/rules: Tune dpkg-shlibdeps call to move pulse and roar's
      dependencies to Recommends. Made the whole mechanism slightly more
      elegant.
  * Enable CUE support.
  * The project has moved to github, update the Homepage field accordingly.
  * Update debian/watch, project has moved from sourceforge to github.

 -- Alessio Treglia <alessio@debian.org>  Thu, 14 Aug 2014 13:45:10 +0100

cmus (2.5.0-6) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 11 May 2014 23:45:16 +0200

cmus (2.5.0-5) experimental; urgency=low

  * Team upload.
  * Compile against libav10 (Closes: #739301)
  * Bump standards version

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 24 Mar 2014 19:35:28 -0400
