=== debian/control ===
--- 
+++ 
@@ -6,26 +6,35 @@
  Alessio Treglia <alessio@debian.org>,
  Ryan Kavanagh <rak@debian.org>
 Build-Depends:
- debhelper (>= 9.0.0),
+ debhelper (>= 9),
+ bash-completion,
  libao-dev,
  libasound2-dev (>= 1.0.11) [linux-any],
- libavformat-dev,
+ libavcodec-dev,
+ libavformat-dev (>= 6:10~),
+ libswresample-dev,
  libcddb2-dev,
  libcdio-cdda-dev,
+ libcue-dev,
+ libdiscid-dev,
  libfaad-dev,
  libflac-dev,
+ libjack-dev,
  libmad0-dev,
  libmodplug-dev,
  libmpcdec-dev,
  libncursesw5-dev,
+ libopusfile-dev,
  libpulse-dev (>= 0.9.19),
+ libroar-dev,
+ libsamplerate0-dev,
  libvorbis-dev,
  libwavpack-dev,
  pkg-config
-Standards-Version: 3.9.4
-Homepage: http://cmus.sourceforge.net/
+Standards-Version: 3.9.6
+Homepage: https://cmus.github.io/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/cmus.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/cmus.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/cmus.git
 
 Package: cmus
 Architecture: any
@@ -33,8 +42,9 @@
  ${misc:Depends},
  ${shlibs:Depends}
 Recommends:
- cmus-plugin-ffmpeg,
- ${shlibs:Recommends}
+ cmus-plugin-ffmpeg
+Suggests:
+ ${shlibs:Suggests}
 Description: lightweight ncurses audio player
  C* Music Player is a modular and very configurable ncurses-based audio player.
  It has some interesting features like configurable colorscheme, mp3 and ogg
@@ -55,9 +65,8 @@
 Architecture: any
 Depends:
  ${misc:Depends},
- ${shlibs:Depends}
-Suggests:
- cmus
+ ${shlibs:Depends},
+ cmus (= ${binary:Version})
 Description: lightweight ncurses audio player (FFmpeg plugin)
  C* Music Player is a modular and very configurable ncurses-based audio player.
  It has some interesting features like configurable colorscheme, mp3 and ogg
