=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,13 @@
 LDFLAGS+=-Wl,--as-needed
 CFLAGS+=-I/usr/include/ncursesw
 
+suggested_deps = pulse roar jack
+
+EXTRA_CMUS_DIR_OP_PLUGINS = debian/cmus/usr/lib/cmus/op/
+EXTRA_CMUS_PLUGINS := $(foreach plugin,$(suggested_deps),$(plugin).so)
+
 %:
-	dh $@
+	dh $@ --with bash-completion
 
 override_dh_auto_configure:
 	./configure \
@@ -23,9 +28,15 @@
 	dh_movefiles -pcmus-plugin-ffmpeg --sourcedir=debian/cmus/ \
 		/usr/lib/cmus/ip/ffmpeg.so
 
+override_dh_installdocs:
+	dh_installdocs
+	# do not install zsh and bash completion twice
+	rm debian/cmus/usr/share/doc/cmus/contrib/_cmus \
+		debian/cmus/usr/share/doc/cmus/contrib/cmus.bash-completion
+
 override_dh_shlibdeps:
-	dh_shlibdeps -pcmus -Xroar.so -Xpulse.so
-	dpkg-shlibdeps -O -dRecommends \
-		debian/cmus/usr/lib/cmus/op/pulse.so | \
-		cat >> debian/cmus.substvars
+	dh_shlibdeps -pcmus $(foreach plugin,$(EXTRA_CMUS_PLUGINS),-X$(plugin))
+	dpkg-shlibdeps -O -dSuggests \
+		$(foreach plugin,$(EXTRA_CMUS_PLUGINS),$(EXTRA_CMUS_DIR_OP_PLUGINS)$(plugin)) \
+		>> debian/cmus.substvars
 	dh_shlibdeps --remaining-packages
