## cmus 2.7.1%2Bgit20160225

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: cmus
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>,
  Ryan Kavanagh <rak@debian.org>
 Build-Depends:
  debhelper (>= 9),
@@ -31,10 +30,10 @@
  libvorbis-dev,
  libwavpack-dev,
  pkg-config
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://cmus.github.io/
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/cmus.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/cmus.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/cmus.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/cmus
 
 Package: cmus
 Architecture: any
