=== debian/changelog ===
cmus (2.7.1+git20160225-1build3) bionic; urgency=medium

  * No-change rebuild against libcdio17

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 06 Dec 2017 01:19:23 +0000

cmus (2.7.1+git20160225-1build2) bionic; urgency=medium

  * No-change rebuild for libcdaudio soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 11:32:35 +0000

cmus (2.7.1+git20160225-1build1) yakkety; urgency=medium

  * Rebuild for ffmpeg 3.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 30 Apr 2016 14:46:54 +0100

cmus (2.7.1+git20160225-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
    - Fix build against ffmpeg 3.0. (Closes: #810557)
  * debian/patches/{01_config.mk.diff,02_link_avcodec.patch}: Removed, applied
    upstream.
  * debian/control:
    - Bump Standards Version.
    - Update Vcs-Git.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 06 Mar 2016 21:37:57 +0100
