=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: cmus
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
+ Alessio Treglia <alessio@debian.org>,
  Ryan Kavanagh <rak@debian.org>
 Build-Depends:
  debhelper (>= 9),
@@ -32,8 +34,8 @@
  pkg-config
 Standards-Version: 3.9.7
 Homepage: https://cmus.github.io/
-Vcs-Git: https://salsa.debian.org/multimedia-team/cmus.git
-Vcs-Browser: https://salsa.debian.org/multimedia-team/cmus
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/cmus.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/cmus.git
 
 Package: cmus
 Architecture: any
