=== debian/rules ===
--- 
+++ 
@@ -40,3 +40,21 @@
 		$(foreach plugin,$(EXTRA_CMUS_PLUGINS),$(EXTRA_CMUS_DIR_OP_PLUGINS)$(plugin)) \
 		>> debian/cmus.substvars
 	dh_shlibdeps --remaining-packages
+
+DEB_DEBDIR=$(dir $(firstword $(MAKEFILE_LIST)))
+DEB_UPSTREAM_VER=$(shell dpkg-parsechangelog -l$(DEB_DEBDIR)/changelog \
+	| sed -ne 's/^Version: \(.*\)-[^-]*/\1/p' | sed -ne 's/^\([^+]*\)+git.*/\1/p')
+COMMIT=6704e786e6dcc28b3f989cf3f5ca22a36033472d
+get-orig-source:
+	TMPD=`mktemp -d` && \
+		git clone https://github.com/cmus/cmus \
+			"$$TMPD/cmus" && \
+		git --git-dir="$$TMPD/cmus/.git" archive \
+			--prefix=cmus/ $(COMMIT) | \
+			xz > $$TMPD/cmus.tar.xz && \
+		CDATE=`git --git-dir="$$TMPD/cmus/.git" show \
+			--format=format:%ci -s $(COMMIT) | \
+			awk '{ gsub(/-/,""); print $$1 }'` && \
+		mv $$TMPD/cmus.tar.xz \
+			cmus_$(DEB_UPSTREAM_VER)+git$$CDATE.orig.tar.xz && \
+		rm -rf $$TMPD
