=== debian/changelog ===
cmus (2.8.0-2) unstable; urgency=medium

  * Set build flags via /usr/share/dpkg/buildflags.mk
  * Link with -latomic to fix FTBFS on various architectures (Closes: #935678)

 -- Ryan Kavanagh <rak@debian.org>  Sat, 07 Sep 2019 10:37:13 -0400

cmus (2.8.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Helmut Grohne ]
  * Fix FTCBFS: Supply a cross environment to ./configure. (Closes: #911163)

  [ Ryan Kavanagh ]
  * New upstream version 2.8.0 (Closes: #932107, #783498)
    + Update copyright file with new holders
    + Drop 12-ffmpeg-4.0.patch (applied upstream)
    + Refresh patches
  * Drop outdated get-orig-source target from rules
  * Fix typos in source, 12-typos.patch
  * Enable hardening
  * Bump debphelper compat to 12
  * Bump standards-version to 4.4.0
  * cmus-plugin-ffmpeg (<< 2.8.0) breaks cmus (>= 2.8.0)

 -- Ryan Kavanagh <rak@debian.org>  Sat, 17 Aug 2019 14:51:27 -0400

cmus (2.7.1+git20160225-2) unstable; urgency=medium

  * Team upload.

  [ James Cowgill ]
  * Add upstream patch to fix FTBFS with FFmpeg 4.0. (Closes: #888384)
  * d/changelog: Remove trailing blank line.

  [ Alessio Treglia ]
  * Remove myself from the Uploaders field.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org.
  * d/changelog: Remove trailing whitespaces.

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org.

 -- James Cowgill <jcowgill@debian.org>  Thu, 17 May 2018 11:34:35 +0100
