=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: cmus
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>,
  Ryan Kavanagh <rak@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 12),
  bash-completion,
  libao-dev,
  libasound2-dev (>= 1.0.11) [linux-any],
@@ -32,10 +30,10 @@
  libvorbis-dev,
  libwavpack-dev,
  pkg-config
-Standards-Version: 3.9.7
+Standards-Version: 4.4.0
 Homepage: https://cmus.github.io/
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/cmus.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/cmus.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/cmus.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/cmus
 
 Package: cmus
 Architecture: any
@@ -46,6 +44,7 @@
  cmus-plugin-ffmpeg
 Suggests:
  ${shlibs:Suggests}
+Breaks: cmus-plugin-ffmpeg (<< 2.8.0)
 Description: lightweight ncurses audio player
  C* Music Player is a modular and very configurable ncurses-based audio player.
  It has some interesting features like configurable colorscheme, mp3 and ogg
